package com.cultural.heritage.model.dto.clothesinfo;

import com.cultural.heritage.common.PageRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper = true)
@Schema(description = "服装查询请求体", requiredProperties = {"current", "pageSize", "sortField"})
public class ClothesInfoQueryRequest extends PageRequest implements Serializable {


    /**
     * 服装id
     */
    @Schema(description = "服装id", example = "2")
    private Long id;


    /**
     * 服装名称
     */
    @Schema(description = "服装名称", example = "彩绣菊花纹刺绣长袍")
    private String name;


    /**
     * 最低价格
     */
    @Schema(description = "最低价格", example = "100.00")
    private BigDecimal minPrice;


    /**
     * 最高价格
     */
    @Schema(description = "最高价格", example = "200.00")
    private BigDecimal maxPrice;


    /**
     * 所属服装等级
     */
    @Schema(description = "所属服装等级", example = "简约风尚")
    private String clothesType;



    @Serial
    private static final long serialVersionUID = 1L;
}
