package com.cultural.heritage.model.dto.exchange;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 积分兑换优惠券请求
 */
@Data
@Schema(description = "积分兑换优惠券请求体", requiredProperties = {"userId", "couponId", "quantity", "requirePoints"})
public class ExchangeAddRequest implements Serializable {


    /**
     * 优惠券id
     */
    @Schema(description = "优惠券id(id > 0)", example = "4")
    private Long couponId;

    /**
     * 数量
     */
    @Schema(description = "购买数量", example = "10")
    private Integer quantity;


    @Serial
    private static final long serialVersionUID = 1L;
}
