package com.cultural.heritage.model.dto.timeperiod.single;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "预约时间段更新请求体", requiredProperties = {"id", "minNumber", "maxNumber"})
public class TimePeriodSingleUpdateRequest implements Serializable {


    /**
     * 预约时间段id
     */
    @Schema(description = "预约时间段id(id > 0)", example = "10")
    private Long id;

    /**
     * 最小预约人数
     */
    @Schema(description = "最小预约人数", example = "3")
    private Integer minNumber;


    /**
     * 最大预约人数
     */
    @Schema(description = "最大预约人数", example = "10")
    private Integer maxNumber;


    @Serial
    private static final long serialVersionUID = 1L;
}
