package com.cultural.heritage.model.vo.good;

import com.cultural.heritage.model.vo.appointment.AppointmentDateVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class ServiceGoodVO implements Serializable {

    /**
     * 商品编号
     */
    private Long id;

    /**
     * 商品名
     */
    private String name;

    /**
     * 商品价格
     */
    private BigDecimal price;

    /**
     * 商品图片
     */
    private String goodImg;

    /**
     * 商品简介
     */
    private String intro;

    /**
     * 商品详情简介
     */
    private String introDetail;

    /**
     * 商品详情图片
     */
    private String detailImg;

    /**
     * 商品标签
     */
    private String label;


    /**
     * 是否上架
     */
    private Integer isShelves;


    /**
     * 未来几天的预约时间表
     */
    @Schema(description = "未来几天的预约时间表")
    private List<AppointmentDateVO> appointmentDateVOList;


    @Serial
    private static final long serialVersionUID = 1L;
}
