package com.cultural.heritage.service.good;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.dto.cart.CartOrderItemAddRequest;
import com.cultural.heritage.model.dto.cart.CartRecordAddRequest;
import com.cultural.heritage.model.entity.CartRecord;
import com.cultural.heritage.model.vo.cart.CartRecordVO;
import jakarta.servlet.http.HttpServletRequest;

import java.util.List;

public interface CartRecordService extends IService<CartRecord> {

    /**
     * 更新购物车的商品属性
     */
    boolean updateCartGoodAttribute(CartRecordAddRequest cartRecordAddRequest, HttpServletRequest request);


    /**
     * 封装用户购物车中的商品信息
     */
    List<CartRecordVO> transformToCartRecordVOList(List<CartRecord> list);


    /**
     * 校验购物车中的商品信息
     */
    void validCart(CartRecord cartRecord, boolean update);



    /**
     * 在提交订单页校验购物车商品项的准确性
     */
    boolean validIsConsistent(List<CartOrderItemAddRequest> cartOrderItemAddRequestList);



    /**
     * 找出存在问题的购物车id列表
     */
    List<Long> getInvalidCartIds(List<CartRecord> cartRecords);
}
